Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.

Postgresql i slackware 4.0

[es] :: Baze podataka :: Postgresql i slackware 4.0

[ Pregleda: 4659 | Odgovora: 5 ] > FB > Twit

Postavi temu Odgovori

Autor

Pretraga teme: Traži
Markiranje Štampanje RSS

emperor
Bojan Aleksic

Član broj: 26
Poruke: 327
*.beg.sezampro.yu

ICQ: 30370501


Profil

icon Postgresql i slackware 4.005.12.2002. u 15:56 - pre 230 meseci
E ovako interesuje me da li je neko korsition ili zna nekog ko je imao postgresql na slakveru 4.0 kernel 2.2.6. Tacnije probao sam da instaliram postgresql 7.1 i 7.2.3 medjutim pokusaj njeurodio plodom jer je javljao neke greske . Kada sam pitao njihovu podrsku oni su rekli da je verovatno sors nekopatibilan . Na moje pitanje da li imaju neki drugi da mi ponude oni su rekli imaju to sto imaju i preporucuju mandrake linux. E sada ja nemogu da verujem da je tako nesto moguce da naprave 2 verizje koje nerade na slakveru .... Ja cu probati da instaliram na poslu jer tamo imam 8.0 ali ako neko ima neku informaciju o tome neka mi kaze , bio bih veoma zahvalan .

Pozdrav svima
 
Odgovor na temu

B o j a n
eCTRL
EU

Član broj: 1178
Poruke: 2925
*.yubc.net

Jabber: bc@default.co.yu
Sajt: default.co.yu/~bc


+1 Profil

icon Re: Postgresql i slackware 4.006.12.2002. u 01:57 - pre 230 meseci
Pa nadogradi tu antiku od kernela.

ps: Kakve si greske dobio ?

"It's okay, I'm just admiring to the shape of your skull!" -- Dr. Gonzo
 
Odgovor na temu

emperor
Bojan Aleksic

Član broj: 26
Poruke: 327
*.beg.sezampro.yu

ICQ: 30370501


Profil

icon Re: Postgresql i slackware 4.006.12.2002. u 10:17 - pre 229 meseci
Ok donecu novu verizju kernela sa posla .... evo i greske koja se javlja slicna i za verizju 7.2.3.

> make[3]: Leaving directory `/temp/postgresql-7.1/src/backend/parser'
> make -C commands all
> make[3]: Entering directory `/temp/postgresql-7.1/src/backend/commands'
> gcc -O2 -Wall -Wmissing-prototypes -Wmissing-declarations
> -I../../../src/include
> -c async.c -o async.o
> In file included from /usr/include/linux/byteorder/little_endian.h:11,
> from /usr/include/asm/byteorder.h:45,
> from /usr/include/linux/in.h:173,
> from /usr/include/netinet/in.h:79,
> from async.c:79:
> /usr/include/linux/byteorder/swab.h:100: warning: no previous
> prototype for `__f
> swab16'
> /usr/include/linux/byteorder/swab.h:104: warning: no previous
> prototype for `__s
> wab16p'
> /usr/include/linux/byteorder/swab.h:108: warning: no previous
> prototype for `__s
> wab16s'
> /usr/include/linux/byteorder/swab.h:113: warning: no previous
> prototype for `__f
> swab32'
> /usr/include/linux/byteorder/swab.h:117: warning: no previous
> prototype for `__s
> wab32p'
> /usr/include/linux/byteorder/swab.h:121: warning: no previous
> prototype for `__s
> wab32s'
> /usr/include/linux/byteorder/swab.h:127: warning: no previous
> prototype for `__f
> swab64'
> /usr/include/linux/byteorder/swab.h:137: warning: no previous
> prototype for `__s
> wab64p'
> /usr/include/linux/byteorder/swab.h:141: warning: no previous
> prototype for `__s
> wab64s'
> In file included from .../../../src/include/libpq/libpq-be.h:21,
> from .../../../src/include/libpq/libpq.h:21,
> from async.c:87:
> ../../../src/include/libpq/pqcomm.h:33: redefinition of `struct
> sockaddr_un'
> make[3]: *** [async.o] Error 1
> make[3]: Leaving directory `/temp/postgresql-7.1/src/backend/commands'
> make[2]: *** [commands-recursive] Error 2
> make[2]: Leaving directory `/temp/postgresql-7.1/src/backend'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/temp/postgresql-7.1/src'
> make: *** [all] Error 2
> emperor:/temp/postgresql-7.1#


neverujem da je zbog kernela jer tamo u dokumentaciji pise da treba samo da bude gmake version 3.76.1 i da je to sve sto je potrebno ....

evo i odgovor koji mi je dao ovaj iz postgresql-a:

-------------------------------------------------------------------------------------
Sound like a system <-> PostgreSQL source incompatibility!
did you tried to compile PostgreSQL on another Linux system (I'll
recommend Mandrake 9.0)

Teo

________________________________________________________
 
Odgovor na temu

_owl_

Član broj: 318
Poruke: 1042
*.drenik.net



+3 Profil

icon Re: Postgresql i slackware 4.006.12.2002. u 14:30 - pre 229 meseci
Da nije mozda i do glibc-a, gcc-a (i jos gomile stvari koje idu sa jedno 2-3 verzije slack-a ili bilo koje druge distirbucije)
Owl
 
Odgovor na temu

emperor
Bojan Aleksic

Član broj: 26
Poruke: 327
*.beg.sezampro.yu

ICQ: 30370501


Profil

icon Re: Postgresql i slackware 4.007.12.2002. u 10:18 - pre 229 meseci
jedino mi ostaje da instaliram slack8 pa da probam ....

javicu vam rezultate
 
Odgovor na temu

emperor
Bojan Aleksic

Član broj: 26
Poruke: 327
*.beg.sezampro.yu

ICQ: 30370501


Profil

icon Re: Postgresql i slackware 4.023.01.2003. u 19:57 - pre 228 meseci
Na slackware 8.0 radi perfektno
 
Odgovor na temu

[es] :: Baze podataka :: Postgresql i slackware 4.0

[ Pregleda: 4659 | Odgovora: 5 ] > FB > Twit

Postavi temu Odgovori

Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.